Subject: Re: bug#59347: 29.0.50; `:family` face setting ignored

From: Eli Zaretskii <[email-masked]>
Date: Sun, 04 Dec 2022 16:23:19 +0200

> Date: Wed, 23 Nov 2022 08:13:08 +0000
> From: Gregory Heytings <[email-masked]>
> cc: Eli Zaretskii <[email-masked]>, [email-masked]
> 
> > For me the question is what is its impact in terms of the number of 
> > fonts we need to consider.
> 
> I don't understand why we should suddently worry about the number of fonts 
> we consider.  During ~8 years (after bf0d3f76dc) _all_ attributes (not 
> just the size/weight/slant/height ones) were set to nil (in 
> realize_x_face), and I don't think there were any bug reports about Emacs 
> being too slow to select fonts.  Face realization is something that 
> happens only rarely.

I suspect that you don't have enough fonts installed on your system to see
the effect.  I've seen people report that they have thousands of fonts
installed, and looking for a suitable font take ages.  So yes, we do need to
worry about that.